IPTABLES-APPLY(8)

NOM
iptables-apply — Une manière plus sûre de mettre à jour iptables à distance

SYNOPSIS
iptables-apply [-hV] [-t délai] [-w fichier_sauvegarde] {[fichier_règles]|-c [commande]}

DESCRIPTION

iptables-apply va tenter d'appliquer un nouveau fichier de règles (comme celui généré par iptables-save, lu par iptables-restore) ou d'exécuter une commande pour configurer iptables, et demandera ensuite à l'utilisateur si les modifications sont correctes. Si les nouvelles règles coupent la connexion en cours, l'utilisateur ne sera cependant pas en mesure de répondre affirmativement. Dans ce cas, le script restaurera les règles qui fonctionnaient précédemment après expiration du délai.

Des règles appliquées avec succès peuvent aussi être écrites dans un fichier de sauvegarde et utilisées ultérieurement pour restaurer cet état. Cette fonctionnalité permet d'implémenter un mécanisme d'enregistrement de la dernière configuration valable lorsqu'on expérimente un script de configuration d'iptables : iptables-apply -w /etc/iptables/iptables.rules -c /etc/iptables/iptables.run

Lorsqu'il est appelé sous le nom ip6tables-apply, le script utilisera ip6tables-save/-restore et les valeurs par défaut d'IPv6 à la place. Le chemin par défaut du fichier de règles est « /etc/iptables/iptables.rules ».

OPTIONS

-t secondes, --timeout secondes
    Définir le délai en secondes après lequel le script va restaurer le jeu de règles précédent (valeur par défaut : 10).

-w fichier_sauvegarde, --write fichier_sauvegarde
    Spécifier le fichier de sauvegarde où les règles appliquées avec succès seront écrites (si une chaine vide est spécifiée, le chemin par défaut est /etc/iptables/iptables.rules).

-c commande, --command commande
    Configurer iptables en exécutant la commande spécifiée au lieu d'appliquer un fichier de règles (valeur par défaut : /etc/iptables/iptables.run).

-h, --help
    Afficher l'aide.

-V, --version
    Afficher les informations de version.

VOIR AUSSI

iptables-restore(8), iptables-save(8), iptables(8).

INFORMATIONS LÉGALES

iptables-apply originel — Copyright 2006 Martin F. Krafft <madduck@madduck.net>. Version 1.1 — Copyright 2010 GW <gw.2010@tnode.com ou http://gw.tnode.com/>.

Cette page de manuel a été écrite par Martin F. Krafft <madduck@madduck.net> et complétée par GW <gw.2010@tnode.com ou http://gw.tnode.com/>.

Il est autorisé de copier, distribuer et/ou modifier ce document selon les termes de l'« Artistic License 2.0 ».

TRADUCTION
La traduction française de cette page de manuel a été créée par Copyright © 2023 Free Software Foundation et Lucien Gentis <lucien.gentis@waika9.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.